# Uses of Class
javax.swing.Popup

Packages that use Popup
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.

## Uses of Popup in javax.swing

Methods in javax.swing that return Popup
Modifier and Type
Method
Description
`Popup`
PopupFactory.`getPopup​(Component owner, Component contents, int x, int y)`
Creates a `Popup` for the Component `owner` containing the Component `contents`.
`protected Popup`
PopupFactory.`getPopup​(Component owner, Component contents, int x, int y, boolean isHeavyWeightPopup)`
Creates a `Popup` for the Component `owner` containing the Component `contents`.

## Uses of Popup in javax.swing.plaf

Methods in javax.swing.plaf that return Popup
Modifier and Type
Method
Description
`Popup`
PopupMenuUI.`getPopup​(JPopupMenu popup, int x, int y)`
Returns the `Popup` that will be responsible for displaying the `JPopupMenu`.

## Uses of Popup in javax.swing.plaf.multi

Methods in javax.swing.plaf.multi that return Popup
Modifier and Type
Method
Description
`Popup`
MultiPopupMenuUI.`getPopup​(JPopupMenu a, int b, int c)`
Invokes the `getPopup` method on each UI handled by this object.